[mythtv-users] OS X MySQL build fails

Matt conanymous at gmail.com
Tue Jan 22 03:09:59 UTC 2008

On Jan 21, 2008 9:34 PM, Wade Maxfield <mythtv at hotblack.co.nz> wrote:

> Only thought I've got is to try MySQL 5.0.45 or later.
> Is there any reason you're using MySQL 4?  All my Leopard machines that
> have MySQL (none are Myth related though) are running MySQL 5 not 4, and
> IIRC from the archives, MySQL 5 is the way of the future for Myth, and
> what a lot of the devs are running.<http://mythtv.org/cgi-bin/mailman/listinfo/mythtv-users>

MySQL 4.1.22 is the version specified in the wiki, however I also tried
5.0.45 and ran into the same issue. The commands to configure and build are
listed as follows:

cd mysql-4.1.22
./configure --disable-static --without-debug \
  --without-server --without-geometry \
  --without-extra-tools --without-docs \
  --without-man --without-bench
make LDFLAGS="-no-undefined -Wl,-prebind,-seg1addr,0xC2000000"
sudo make install

Building without specifying the seg1addr seems to work though.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mythtv.org/pipermail/mythtv-users/attachments/20080121/bee56c9b/attachment.htm 

More information about the mythtv-users mailing list